# py_aax_decode

**py_aax_decode** is a python script which decodes Audible AAX files into
PCM WAV format.

This script *requires* a functioning installation of Audible Manager for
Windows, capable of playing back the AAX file in question. The script
simply calls functions in  ```AAXSDKWin.dll``` to decode the AAX file,
and then writes the resulting audio data to disk.


## Installation

* Install Audible Manager and sign in to your account.
* Run the script: 
```cmd
python3 -c "from py_aax_decode import main; main('c:\\path\\to\\input.aax', 'c:\\path\\to\\output.wav')"
```
* If you're not on 64-bit Windows or have Audible in a non-default location,
you will need to provide the path to AAXSDKWin.dll:
```cmd
python3 -c "from py_aax_decode import main; main('c:\\path\\to\\input.aax', 'c:\\path\\to\\output.wav', dll_path='C:\\Program Files\\Audible\\Bin\\AAXSDKWin.dll')"
```

